View Issue Details

IDProjectCategoryView StatusLast Update
0000271FakturamaOpenOffice / NOApublic2018-01-18 22:51
Reporterstephan Assigned Torheydenr  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.6.3 
Target Version2.0.2Fixed in Version2.0.1 
Summary0000271: in Variable "ADDRRESS.PHONE.PRE stehen falsche Werte
Description

Anscheinend wird für .PRE und .POST nach der 4. Ziffer getrennt, was weder bei 030/12030000
PRE: 030/
POST:12030000
noch bei 02031/4775864
PRE: 0203
POST: 1/4775864
noch bei +49 6162 7558645 (zugegeben, hier macht es ein bisschen sinn
PRE: +49
POST: 6162 7558645
richtig Funktioniert.

Steps To Reproduce

Vorschlag zur Behebung: in den Stammdaten das Telefonfeld gegen drei Felder ersetzen:
ADDRESS.PHONE.COUNTRY, inhalt "0049" oder "+49" oder "+1" (USA)
ADDRESS.PHONE.PRE, inhalt "030" ooder "30" (bei ländervorwahl) oder "07573"
ADDRESS.PHONE.POST, inhalt "112" oder "197250025"
Duplikat bei Faxnummer, Mobilnummer, etwas anders in der aufteilung der Anzahl, aber vom Fehlerbild her gleich bei YOURCOMPANY.PHONE

TagsNo tags attached.

Activities

rheydenr

2014-01-05 02:46

administrator   ~0000260

Telefonnummern sind nach den neuen Regeln mit Leerzeichen zu schreiben. Deswegen wurde auch an der Leerstelle getrennt. Allerdings wurden nur maximal zwei Gruppen gebildet (Vorwahl + Rufnummer), was bei international formatierten Telefonnummern zu Problemen führte. Das muß erst mal aufgeschoben werden bis zur nächsten Version (2.0).

rheydenr

2018-01-18 22:51

administrator   ~0000657

wurde behoben. Die Ländervorwahl ist jetzt allerdings mit in PRE drin.

Issue History

Date Modified Username Field Change
2013-12-22 15:37 stephan New Issue
2014-01-02 23:41 rheydenr Status new => assigned
2014-01-02 23:41 rheydenr Assigned To => rheydenr
2014-01-02 23:42 rheydenr Target Version => 2.0.0
2014-01-04 22:54 rheydenr Target Version 2.0.0 => 1.6.4
2014-01-05 02:46 rheydenr Note Added: 00260
2014-01-05 02:46 rheydenr Status assigned => resolved
2014-01-05 02:46 rheydenr Resolution open => suspended
2014-01-05 02:46 rheydenr Description Updated View Revisions
2014-01-05 02:46 rheydenr Steps to Reproduce Updated View Revisions
2014-01-05 02:46 rheydenr Status resolved => acknowledged
2014-01-05 02:57 rheydenr Target Version 1.6.4 => 2.1.0
2014-01-05 02:57 rheydenr Description Updated View Revisions
2014-01-05 02:57 rheydenr Steps to Reproduce Updated View Revisions
2017-12-30 22:44 rheydenr Target Version 2.1.0 => 2.0.2
2018-01-18 22:51 rheydenr Status acknowledged => resolved
2018-01-18 22:51 rheydenr Resolution suspended => fixed
2018-01-18 22:51 rheydenr Fixed in Version => 2.0.1
2018-01-18 22:51 rheydenr Note Added: 0000657